from pygtail import Pygtail
import glob
import os


class LogTail():
    def __init__(self):
        pass

    def tail(self, logs=None):
        tails = []
        for name in glob.glob(logs):
            tail = None
            try:
                tail = Pygtail(name, every_n=100, read_from_end=False)
            except ValueError as e:
                if os.path.exists(name + '.offset'):
                    os.unlink(name + '.offset')
                tail = Pygtail(name, every_n=100, read_from_end=True)
            except Exception as e:
                print("failed to pygtail %s, skipping" % name)
            if tail:
                tails.append(tail)
        return tails
